VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Net send"
   ClientHeight    =   1005
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2175
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   1005
   ScaleWidth      =   2175
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdPing 
      Caption         =   "ping"
      Height          =   255
      Left            =   960
      MaskColor       =   &H8000000F&
      TabIndex        =   4
      Top             =   720
      Width           =   495
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "add"
      Height          =   255
      Left            =   360
      TabIndex        =   3
      Top             =   720
      Width           =   495
   End
   Begin VB.ComboBox lista 
      Appearance      =   0  'Flat
      Height          =   315
      ItemData        =   "frmMain.frx":0442
      Left            =   0
      List            =   "frmMain.frx":0444
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   0
      Width           =   2175
   End
   Begin VB.CommandButton cmdSend 
      Caption         =   "Send"
      Default         =   -1  'True
      Height          =   255
      Left            =   1560
      TabIndex        =   1
      Top             =   720
      Width           =   615
   End
   Begin VB.TextBox txtTekst 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   0
      TabIndex        =   0
      Top             =   360
      Width           =   2175
   End
   Begin VB.Image imgOptions 
      Appearance      =   0  'Flat
      Height          =   240
      Left            =   0
      Picture         =   "frmMain.frx":0446
      Stretch         =   -1  'True
      Top             =   720
      Width           =   240
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdAdd_Click()
Load frmAddComp
frmAddComp.Show
End Sub

Private Sub cmdPing_Click()
If lista.ListCount < 0 Or lista.ListIndex < 0 Then Exit Sub
Shell "ping -n 4 " & lista.List(lista.ListIndex), vbNormalFocus
End Sub

Private Sub cmdSend_Click()
If txtTekst.Text <> "" Then
    Shell "net send " & lista.List(lista.ListIndex) & " " & txtTekst.Text
    txtTekst.SelStart = 0
    txtTekst.SelLength = Len(txtTekst.Text)
End If
End Sub

Private Sub Form_Load()
Dim f As Integer
Dim a As String
'loading setings
Call OptionsLoad
If g_bIconTry = True And g_bOnlyMinimized = False Then Call IconTryLoad
'---
'Open File
Call FileOpen
Form_Resize
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, x As Single, Y As Single)
'this procedure receives the callbacks from the System Tray icon.
Dim Result As Long
Dim msg As Long
'the value of X will vary depending upon the scalemode setting
If Me.ScaleMode = vbPixels Then
    msg = x
Else
    msg = x / Screen.TwipsPerPixelX
End If
Select Case msg
    Case WM_LBUTTONUP        '514 restore form window
        Me.WindowState = vbNormal
        Result = SetForegroundWindow(Me.hwnd)
        Me.Show
    Case WM_LBUTTONDBLCLK    '515 restore form window
        Me.WindowState = vbNormal
        Result = SetForegroundWindow(Me.hwnd)
        Me.Show
    Case WM_RBUTTONUP        '517 display popup menu
        Result = SetForegroundWindow(Me.hwnd)
        Me.PopupMenu frmMenu.mnuTry
End Select

End Sub

Private Sub Form_Resize()
If g_bLoadingTry = True Then Exit Sub
If Me.WindowState = vbMinimized Then
    If g_bIconTry = True Then
            Call IconTryLoad
        If g_bHideMinimized = True Then
            Me.Hide
        End If
    End If
Else
    If g_bOnlyMinimized = True Then
        Call IconTryUnload
    End If
    If g_lX <> -1 Then
        Me.Top = g_lX
        Me.Left = g_lY
    End If
End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
'this removes the icon from the system tray
Unload frmMenu
Unload frmOptions
Unload frmAddComp
Call IconTryUnload
End Sub

Private Sub imgOptions_Click()
Load frmOptions
frmOptions.Show
Call frmMainRefresh
End Sub

Private Sub OptionsLoad()
g_bIconTry = GetPrivateProfileInt("icon_try", "show_icon", 1, App.Path & "\ustawienia.ini")
g_bOnlyMinimized = GetPrivateProfileInt("icon_try", "only_minimized", 0, App.Path & "\ustawienia.ini")
g_bHideMinimized = GetPrivateProfileInt("icon_try", "hide_minimized", 1, App.Path & "\ustawienia.ini")
g_lX = GetPrivateProfileInt("position", "x", -1, App.Path & "\ustawienia.ini")
g_lY = GetPrivateProfileInt("position", "y", -1, App.Path & "\ustawienia.ini")
g_lCBackGround = GetPrivateProfileInt("color", "background", -2147483633, App.Path & "\ustawienia.ini")
Me.BackColor = g_lCBackGround
g_lCList = GetPrivateProfileInt("color", "list", RGB(255, 255, 255), App.Path & "\ustawienia.ini")
lista.BackColor = g_lCList
g_lCTextBox = GetPrivateProfileInt("color", "textbox", RGB(255, 255, 255), App.Path & "\ustawienia.ini")
txtTekst.BackColor = g_lCTextBox
End Sub

Private Sub FileOpen()
'najpierw usuwanie

f = FreeFile
On Error GoTo plik
Open App.Path & "\lista.txt" For Input As #f
Do Until EOF(f)
    Line Input #f, a
    lista.AddItem a
Loop
Close #f
If lista.ListCount = 0 Then GoTo plik
lista.ListIndex = 0
Exit Sub
plik:
MsgBox "I cound't load list (file is empty or dosn't exist " & App.Path & "\lista.txt )"
End Sub

Private Sub lista_GotFocus()
lista.Clear
Call FileOpen
End Sub
