Attribute VB_Name = "mdlMain"
'user defined type required by Shell_NotifyIcon API call
Public Type NOTIFYICONDATA
    cbSize As Long
    hwnd As Long
    uId As Long
    uFlags As Long
    uCallBackMessage As Long
    hIcon As Long
    szTip As String * 64
End Type

'constants required by Shell_NotifyIcon API call:
Public Const NIM_ADD = &H0
Public Const NIM_MODIFY = &H1
Public Const NIM_DELETE = &H2
Public Const NIF_MESSAGE = &H1
Public Const NIF_ICON = &H2
Public Const NIF_TIP = &H4
Public Const WM_MOUSEMOVE = &H200
Public Const WM_LBUTTONDOWN = &H201     'Button down
Public Const WM_LBUTTONUP = &H202       'Button up
Public Const WM_LBUTTONDBLCLK = &H203   'Double-click
Public Const WM_RBUTTONDOWN = &H204     'Button down
Public Const WM_RBUTTONUP = &H205       'Button up
Public Const WM_RBUTTONDBLCLK = &H206   'Double-click
   
Public Declare Function SetForegroundWindow Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function Shell_NotifyIcon Lib "shell32" Alias "Shell_NotifyIconA" _
      (ByVal dwMessage As Long, pnid As NOTIFYICONDATA) As Boolean
Public nid As NOTIFYICONDATA
Public g_bLoadingTry As Boolean
'INI
Public Declare Function GetPrivateProfileInt Lib "kernel32" Alias "GetPrivateProfileIntA" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal nDefault As Long, ByVal lpFileName As String) As Long
Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long

'ustawienia
Public g_bIconTry As Boolean
Public g_bOnlyMinimized As Boolean
Public g_bHideMinimized As Boolean
Public g_lX As Long 'wspolrzedne programu
Public g_lY As Long
Public g_lCBackGround As Long 'kolory
Public g_lCList As Long
Public g_lCTextBox As Long

'odswiezanie
Public Sub frmMainRefresh()
If g_bIconTry = True And g_bOnlyMinimized = False Then
    Call IconTryLoad
ElseIf g_bOnlyMinimized = True Then
    Call IconTryUnload
End If
If g_lX <> -1 Then
    If frmMain.WindowState <> 1 Then
        frmMain.Top = g_lX
        frmMain.Left = g_lY
    End If
End If
frmMain.BackColor = g_lCBackGround
frmMain.txtTekst.BackColor = g_lCTextBox
frmMain.lista.BackColor = g_lCList
End Sub

Public Sub IconTryLoad()
'---
'Icon Try
g_bLoadingTry = True
'frmMain.Show
frmMain.Refresh
With nid
    .cbSize = Len(nid)
    .hwnd = frmMain.hwnd
    .uId = vbNull
    .uFlags = NIF_ICON Or NIF_TIP Or NIF_MESSAGE
    .uCallBackMessage = WM_MOUSEMOVE
    .hIcon = frmMain.Icon
    .szTip = "Net Send" & vbNullChar
End With
Shell_NotifyIcon NIM_ADD, nid
g_bLoadingTry = False
End Sub

Public Sub IconTryUnload()
Shell_NotifyIcon NIM_DELETE, nid
End Sub
